ExportDialog Class Reference

Export ASCII dialog. More...

`#include <ExportDialog.h>`

Inheritance diagram for ExportDialog:

## Public Slots

void | setColumnSeparator (const QString &sep)
| Set the column delimiter. More...
void | updateAdvancedOptions (const QString &filter)
| Update which options are visible and enabled based on the output format. More...
void | updateOptions (const QString &name)
| Enable/disable export options depending if the selected window is a Table or a Matrix. More...

## Public Member Functions

| ExportDialog (MdiSubWindow *window=NULL, QWidget *parent=0, bool extended=true, Qt::WFlags fl=0)
| Constructor. More...
Public Member Functions inherited from ExtensibleFileDialog
| ExtensibleFileDialog (QWidget *parent=0, bool extended=true, Qt::WFlags flags=0)
| Constructor. More...
bool | isExtendable ()
| Tells weather the dialog has a valid extension widget. More...
bool | isExtended ()
void | setEditableFilter (bool on=true)
| Enables/Disables editing of the file type filter. More...
void | setExtended (bool extended)
| Toggle extension widget on/off. More...
void | setExtensionWidget (QWidget *extension)
| Set the extension widget to be displayed when the user presses the toggle button. More...
void | setExtentionToggleButtonText (const QString &text)
| Sets the text to be displayed in the toggle button. More...

## Protected Slots

void | accept ()
| Accept changes. More...
void | help ()
| Display help. More...

## Private Slots

void | enableTableName (bool ok)
| Enable/disable the tables combox box. More...

## Private Member Functions

void | closeEvent (QCloseEvent *)
void | initAdvancedOptions ()
| Create d_advanced_options and everything it contains. More...
void | setFileTypeFilters ()

## Private Attributes

QCheckBox * | boxAllTables
QCheckBox * | boxComments
QCheckBox * | boxNames
QCheckBox * | boxSelection
QComboBox * | boxSeparator
QComboBox * | boxTable
QPushButton * | buttonHelp
QGroupBox * | d_advanced_options
| Container widget for all advanced options. More...
MdiSubWindow * | d_window
| Pointer to the window to be exported. More...
QLabel * | separatorLbl

## Additional Inherited Members

Protected Attributes inherited from ExtensibleFileDialog
QPushButton * | d_extension_toggle
| Button for toggling display of extension on/off. More...

## Detailed Description

Export ASCII dialog.

## Constructor & Destructor Documentation

## ExportDialog()

ExportDialog::ExportDialog | ( | MdiSubWindow * | window = `NULL`,
|  | QWidget * | parent = `0`,
|  | bool | extended = `true`,
|  | Qt::WFlags | fl = `0`
| ) |  |

Constructor.

Parameters

  window | window to be exported
  parent | parent widget
  extended | flag: show/hide the advanced options on start-up
  fl | window flags

References boxTable, d_advanced_options, d_window, initAdvancedOptions(), ExtensibleFileDialog::setExtensionWidget(), setFileTypeFilters(), and updateAdvancedOptions().

## Member Function Documentation

## accept

void ExportDialog::accept | ( |  | ) |

protected slot

Accept changes.

References ApplicationWindow::asciiDirPath, boxAllTables, boxComments, boxNames, boxSelection, boxSeparator, boxTable, ApplicationWindow::d_confirm_overwrite, ApplicationWindow::exportAllTables(), and ApplicationWindow::window().

## closeEvent()

void ExportDialog::closeEvent | ( | QCloseEvent * | e | ) |

private

References boxComments, boxNames, boxSelection, boxSeparator, ApplicationWindow::d_export_ASCII_file_filter, ApplicationWindow::d_export_col_comment, ApplicationWindow::d_export_col_names, ApplicationWindow::d_export_col_separator, and ApplicationWindow::d_export_table_selection.

## enableTableName

void ExportDialog::enableTableName | ( | bool | ok | ) |

private slot

Enable/disable the tables combox box.

The tables combo box is disabled when the checkbox "all" is selected.

References boxTable, d_window, and setFileTypeFilters().

Referenced by initAdvancedOptions().

## help

void ExportDialog::help | ( |  | ) |

protected slot

Display help.

Referenced by initAdvancedOptions().

## initAdvancedOptions()

void ExportDialog::initAdvancedOptions | ( |  | ) |

private

Create d_advanced_options and everything it contains.

References boxAllTables, boxComments, boxNames, boxSelection, boxSeparator, boxTable, buttonHelp, d_advanced_options, ApplicationWindow::d_export_col_comment, ApplicationWindow::d_export_col_names, ApplicationWindow::d_export_col_separator, ApplicationWindow::d_export_table_selection, d_window, enableTableName(), help(), ApplicationWindow::matrixNames(), separatorLbl, setColumnSeparator(), ApplicationWindow::tableNames(), and updateOptions().

Referenced by ExportDialog().

## setColumnSeparator

void ExportDialog::setColumnSeparator | ( | const QString & | sep | ) |

slot

Set the column delimiter.

References boxSeparator.

Referenced by initAdvancedOptions().

## setFileTypeFilters()

void ExportDialog::setFileTypeFilters | ( |  | ) |

private

Referenced by enableTableName(), and ExportDialog().

## updateAdvancedOptions

void ExportDialog::updateAdvancedOptions | ( | const QString & | filter | ) |

slot

Update which options are visible and enabled based on the output format.

References boxSeparator, buttonHelp, and separatorLbl.

Referenced by ExportDialog(), ApplicationWindow::exportExcel(), and ApplicationWindow::exportOds().

## updateOptions

void ExportDialog::updateOptions | ( | const QString & | name | ) |

slot

Enable/disable export options depending if the selected window is a Table or a Matrix.

References boxComments, boxNames, and ApplicationWindow::window().

Referenced by initAdvancedOptions().

## Member Data Documentation

## boxAllTables

QCheckBox* ExportDialog::boxAllTables

private

Referenced by accept(), and initAdvancedOptions().

## boxComments

QCheckBox* ExportDialog::boxComments

private

Referenced by accept(), closeEvent(), initAdvancedOptions(), and updateOptions().

## boxNames

QCheckBox* ExportDialog::boxNames

private

Referenced by accept(), closeEvent(), initAdvancedOptions(), and updateOptions().

## boxSelection

QCheckBox* ExportDialog::boxSelection

private

Referenced by accept(), closeEvent(), and initAdvancedOptions().

## boxSeparator

QComboBox* ExportDialog::boxSeparator

private

Referenced by accept(), closeEvent(), initAdvancedOptions(), setColumnSeparator(), and updateAdvancedOptions().

## boxTable

QComboBox* ExportDialog::boxTable

private

Referenced by accept(), enableTableName(), ExportDialog(), and initAdvancedOptions().

## buttonHelp

QPushButton* ExportDialog::buttonHelp

private

Referenced by initAdvancedOptions(), and updateAdvancedOptions().

## d_advanced_options

QGroupBox* ExportDialog::d_advanced_options

private

Container widget for all advanced options.

Referenced by ExportDialog(), and initAdvancedOptions().

## d_window

MdiSubWindow* ExportDialog::d_window

private

Pointer to the window to be exported.

Referenced by enableTableName(), ExportDialog(), and initAdvancedOptions().

## separatorLbl

QLabel* ExportDialog::separatorLbl

private

Referenced by initAdvancedOptions(), and updateAdvancedOptions().

The documentation for this class was generated from the following files:

- qtiplot/src/table/ExportDialog.h
- qtiplot/src/table/ExportDialog.cpp